import React, { useState, useContext } from 'react'
import { Store } from '../Store.js'
import Button from '@material-ui/core/Button';
import styled from 'styled-components'
import CreateNewFolderIcon from '@material-ui/icons/CreateNewFolder';
import GuardarModal from './GuardarModal'
import SignUpModal from './SignUpModal'
import LoginModal from './LoginModal.js'

import SnackBar from './SnackbarComponent';

export default function ButtonGuardarColecao(props) {
    const { state } = useContext(Store)
    const [saveToCol, toggleSave] = useState(false)
    const handleGuardar = () => {
        if (!state.currentUser.id) {
            handleLogin()
        }
        else {
            toggleSave(true);
        }
    }

    const handleSignUp = () => {
        setSignUp(!signUpOpen)
    }

    const handleLogin = () => {
        setLogin(!loginOpen)
    }

    function toggleLoginSnackbar(reason) {
        if (reason === 'clickaway') {
            return;
        }
        handleSuccessfulLogin(false);
    }

    const [signUpOpen, setSignUp] = useState(false)
    const [loginOpen, setLogin] = useState(false)
    const [successfulLoginOpen, handleSuccessfulLogin] = useState(false)

    return (
        <>
            <SignUpModal contrast={props.contrast} open={signUpOpen} handleClose={handleSignUp} openLogin={handleLogin}
            />
            <LoginModal contrast={props.contrast} open={loginOpen} handleClose={() => setLogin(false)} openSignUp={handleSignUp}
                openSnackbar={() => { handleSuccessfulLogin(true) }}
            />
            <SnackBar
                snackbarOpen={successfulLoginOpen}
                handleClose={toggleLoginSnackbar}
                severity={"success"}
                color={"#00acc1"}
                text={"Você está conectado(a)!"}
            />
            <GuardarModal contrast={props.contrast} open={saveToCol} handleClose={() => { toggleSave(false) }}
                thumb={props.thumb} title={props.title} recursoId={props.learningObjectId}
            /> 
            <StyledButton onClick={handleGuardar} className={`${props.contrast}LinkColor`}
                style={props.contrast === "" ? {border: "2px solid #f07e05", borderRadius : "5px", color :"#f07e05"} : {border: "1px solid white", borderRadius : "5px", color :"#f07e05"}}
            >
                <CreateNewFolderIcon className={`${props.contrast}IconColor`}/><span>GUARDAR</span>
            </StyledButton>
        </>
    )
}

const StyledButton = styled(Button)`
    background-color : transparent !important;
    font-size : 14px important;
    font-weight : 500 !important;

    .MuiSvgIcon-root {
        font-size : 24px;
    }

    &:hover {
        color: rgb(107, 35, 142);
    }
`
